
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-WAH
Summary:		WAH LADSPA plugins
Version:		0.0.2
Release:		1699.1.pm.69
License: GPL-2.0
Group:			Productivity/Multimedia/Sound/Utilities
Source:			WAH-plugins-%{version}.tar.bz2
URL:			http://www.kokkinizita.net/linuxaudio/ladspa/index.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa-devel

%description
There's just one plugin in this first release,
which is the combination of a 'wah' pedal and
a simple envelope follower.



%prep
%setup -q -n WAH-plugins-%{version}

%{__perl} -p -i -e "s|/usr/lib/ladspa|\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile

# use the system version of ladspa.h
%__rm ladspa.h

%build
%__make %{?jobs:-j%{jobs}} \
	CPPFLAGS="-I. -fPIC -D_REENTRANT $RPM_OPT_FLAGS"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Mon Mar 15 2010 Toni Graffy <toni@links2linux.de> - 0.0.2-0.pm.1
- initial build 0.0.2
